SquareFreeIdeal Class Reference

`#include <SquareFreeIdeal.h>`

## Public Types

typedef RawSquareFreeIdeal::iterator | iterator
typedef RawSquareFreeIdeal::const_iterator | const_iterator

## Public Member Functions

| SquareFreeIdeal ()
| SquareFreeIdeal (const SquareFreeIdeal &ideal, size_t capacity)
| SquareFreeIdeal (const BigIdeal &ideal)
| ~SquareFreeIdeal ()
SquareFreeIdeal & | operator= (const BigIdeal &ideal)
void | minimize ()
void | renameVars (const VarNames &names)
void | insert (Word *term)
void | insertIdentity ()
bool | insert (const std::vector< std::string > &term)
| Returns false if the strings in term are not all "", "1" or "0".
void | swap01Exponents ()
| Change 0 exponents into 1 and vice versa.
void | clear ()
void | swap (SquareFreeIdeal &ideal)
void | reserve (size_t capacity)
const VarNames & | getNames () const
size_t | getVarCount () const
size_t | getGeneratorCount () const
size_t | getCapacity () const
Word * | back ()
const Word * | back () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const RawSquareFreeIdeal * | getRawIdeal () const
RawSquareFreeIdeal * | getRawIdeal ()

## Private Member Functions

| SquareFreeIdeal (const SquareFreeIdeal &)
SquareFreeIdeal & | operator= (const SquareFreeIdeal &)

## Private Attributes

VarNames | _names
RawSquareFreeIdeal * | _ideal
size_t | _capacity

## Detailed Description

Definition at line 24 of file SquareFreeIdeal.h.

## Member Typedef Documentation

## const_iterator

typedef RawSquareFreeIdeal::const_iterator SquareFreeIdeal::const_iterator

Definition at line 60 of file SquareFreeIdeal.h.

## iterator

typedef RawSquareFreeIdeal::iterator SquareFreeIdeal::iterator

Definition at line 56 of file SquareFreeIdeal.h.

## Constructor & Destructor Documentation

## SquareFreeIdeal() [1/4]

SquareFreeIdeal::SquareFreeIdeal | ( |  | ) |

Definition at line 24 of file SquareFreeIdeal.cpp.

## SquareFreeIdeal() [2/4]

SquareFreeIdeal::SquareFreeIdeal | ( | const SquareFreeIdeal & | ideal,
|  | size_t | capacity )

Definition at line 26 of file SquareFreeIdeal.cpp.

## SquareFreeIdeal() [3/4]

SquareFreeIdeal::SquareFreeIdeal | ( | const BigIdeal & | ideal | ) |

Definition at line 36 of file SquareFreeIdeal.cpp.

## ~SquareFreeIdeal()

SquareFreeIdeal::~SquareFreeIdeal | ( |  | ) |

Definition at line 43 of file SquareFreeIdeal.cpp.

## SquareFreeIdeal() [4/4]

SquareFreeIdeal::SquareFreeIdeal | ( | const SquareFreeIdeal & |  | ) |

private

## Member Function Documentation

## back() [1/2]

Word * SquareFreeIdeal::back | ( |  | ) |

inline

Definition at line 53 of file SquareFreeIdeal.h.

## back() [2/2]

const Word * SquareFreeIdeal::back | ( |  | ) | const

inline

Definition at line 54 of file SquareFreeIdeal.h.

## begin() [1/2]

iterator SquareFreeIdeal::begin | ( |  | ) |

inline

Definition at line 57 of file SquareFreeIdeal.h.

## begin() [2/2]

const_iterator SquareFreeIdeal::begin | ( |  | ) | const

inline

Definition at line 61 of file SquareFreeIdeal.h.

## clear()

void SquareFreeIdeal::clear | ( |  | ) |

Definition at line 88 of file SquareFreeIdeal.cpp.

## end() [1/2]

iterator SquareFreeIdeal::end | ( |  | ) |

inline

Definition at line 58 of file SquareFreeIdeal.h.

## end() [2/2]

const_iterator SquareFreeIdeal::end | ( |  | ) | const

inline

Definition at line 62 of file SquareFreeIdeal.h.

## getCapacity()

size_t SquareFreeIdeal::getCapacity | ( |  | ) | const

inline

Definition at line 51 of file SquareFreeIdeal.h.

## getGeneratorCount()

size_t SquareFreeIdeal::getGeneratorCount | ( |  | ) | const

inline

Definition at line 84 of file SquareFreeIdeal.h.

## getNames()

const VarNames & SquareFreeIdeal::getNames | ( |  | ) | const

inline

Definition at line 48 of file SquareFreeIdeal.h.

## getRawIdeal() [1/2]

RawSquareFreeIdeal * SquareFreeIdeal::getRawIdeal | ( |  | ) |

inline

Definition at line 65 of file SquareFreeIdeal.h.

## getRawIdeal() [2/2]

const RawSquareFreeIdeal * SquareFreeIdeal::getRawIdeal | ( |  | ) | const

inline

Definition at line 64 of file SquareFreeIdeal.h.

## getVarCount()

size_t SquareFreeIdeal::getVarCount | ( |  | ) | const

inline

Definition at line 78 of file SquareFreeIdeal.h.

## insert() [1/2]

bool SquareFreeIdeal::insert | ( | const std::vector< std::string > & | term | ) |

Returns false if the strings in term are not all "", "1" or "0".

Definition at line 79 of file SquareFreeIdeal.cpp.

## insert() [2/2]

void SquareFreeIdeal::insert | ( | Word * | term | ) |

Definition at line 70 of file SquareFreeIdeal.cpp.

## insertIdentity()

void SquareFreeIdeal::insertIdentity | ( |  | ) |

Definition at line 64 of file SquareFreeIdeal.cpp.

## minimize()

void SquareFreeIdeal::minimize | ( |  | ) |

Definition at line 53 of file SquareFreeIdeal.cpp.

## operator=() [1/2]

SquareFreeIdeal & SquareFreeIdeal::operator= | ( | const BigIdeal & | ideal | ) |

Definition at line 47 of file SquareFreeIdeal.cpp.

## operator=() [2/2]

SquareFreeIdeal & SquareFreeIdeal::operator= | ( | const SquareFreeIdeal & |  | ) |

private

## renameVars()

void SquareFreeIdeal::renameVars | ( | const VarNames & | names | ) |

Definition at line 58 of file SquareFreeIdeal.cpp.

## reserve()

void SquareFreeIdeal::reserve | ( | size_t | capacity | ) |

Definition at line 101 of file SquareFreeIdeal.cpp.

## swap()

void SquareFreeIdeal::swap | ( | SquareFreeIdeal & | ideal | ) |

Definition at line 95 of file SquareFreeIdeal.cpp.

## swap01Exponents()

void SquareFreeIdeal::swap01Exponents | ( |  | ) |

inline

Change 0 exponents into 1 and vice versa.

Definition at line 42 of file SquareFreeIdeal.h.

## Member Data Documentation

## _capacity

size_t SquareFreeIdeal::_capacity

private

Definition at line 73 of file SquareFreeIdeal.h.

## _ideal

RawSquareFreeIdeal* SquareFreeIdeal::_ideal

private

Definition at line 72 of file SquareFreeIdeal.h.

## _names

VarNames SquareFreeIdeal::_names

private

Definition at line 71 of file SquareFreeIdeal.h.

The documentation for this class was generated from the following files:

- src/SquareFreeIdeal.h
- src/SquareFreeIdeal.cpp